# xoxys.woodpecker_agent

[![Build Status](https://ci.rknet.org/api/badges/ansible/xoxys.woodpecker_agent/status.svg)](https://ci.rknet.org/repos/ansible/xoxys.woodpecker_agent)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.woodpecker_agent/src/branch/main/LICENSE)

Setup Woodpecker CI docker agent

## Table of content

- [Requirements](#requirements)
- [Default Variables](#default-variables)
  - [woodpecker_agent_cap_add](#woodpecker_agent_cap_add)
  - [woodpecker_agent_cap_drop](#woodpecker_agent_cap_drop)
  - [woodpecker_agent_docker_args](#woodpecker_agent_docker_args)
  - [woodpecker_agent_env](#woodpecker_agent_env)
  - [woodpecker_agent_exposed_ports](#woodpecker_agent_exposed_ports)
  - [woodpecker_agent_filter_labels](#woodpecker_agent_filter_labels)
  - [woodpecker_agent_image](#woodpecker_agent_image)
  - [woodpecker_agent_instances](#woodpecker_agent_instances)
  - [woodpecker_agent_log_level](#woodpecker_agent_log_level)
  - [woodpecker_agent_max_workflows](#woodpecker_agent_max_workflows)
  - [woodpecker_agent_network](#woodpecker_agent_network)
  - [woodpecker_agent_service_started](#woodpecker_agent_service_started)
  - [woodpecker_agent_volumes](#woodpecker_agent_volumes)
  - [woodpecker_agent_woodpecker_server](#woodpecker_agent_woodpecker_server)
- [Dependencies](#dependencies)
- [License](#license)
- [Author](#author)

---

## Requirements

- Minimum Ansible version: `2.10`

## Default Variables

### woodpecker_agent_cap_add

#### Default value

```YAML
woodpecker_agent_cap_add: []
```

### woodpecker_agent_cap_drop

#### Default value

```YAML
woodpecker_agent_cap_drop: []
```

### woodpecker_agent_docker_args

#### Default value

```YAML
woodpecker_agent_docker_args:
  - --privileged
  - --pids-limit=-1
```

### woodpecker_agent_env

Custom environment variables to set for the agent container.

#### Default value

```YAML
woodpecker_agent_env: []
```

#### Example usage

```YAML
woodpecker_agent_env:
  - name: WOODPECKER_GRPC_SECURE
    value: True
```

### woodpecker_agent_exposed_ports

Ports you want to publish outside of docker.

#### Default value

```YAML
woodpecker_agent_exposed_ports: []
```

### woodpecker_agent_filter_labels

Configures labels to filter pipelines that can be handled by this agent.

#### Default value

```YAML
woodpecker_agent_filter_labels: []
```

#### Example usage

```YAML
woodpecker_agent_filter_labels:
  - key=value
  - second-key=*
```

### woodpecker_agent_image

#### Default value

```YAML
woodpecker_agent_image: docker.io/woodpeckerci/woodpecker-agent:latest
```

### woodpecker_agent_instances

List of multiple agents to deploy.

#### Default value

```YAML
woodpecker_agent_instances:
  - name: agent-1
```

### woodpecker_agent_log_level

#### Default value

```YAML
woodpecker_agent_log_level: info
```

### woodpecker_agent_max_workflows

#### Default value

```YAML
woodpecker_agent_max_workflows: 1
```

### woodpecker_agent_network

Use a custom docker network for grafana.

#### Default value

```YAML
woodpecker_agent_network: _unset_
```

### woodpecker_agent_service_started

#### Default value

```YAML
woodpecker_agent_service_started: true
```

### woodpecker_agent_volumes

Define required docker volumes.

#### Default value

```YAML
woodpecker_agent_volumes:
  - name: /var/run/docker.sock
    dest: /var/run/docker.sock
    type: bind
```

### woodpecker_agent_woodpecker_server

#### Default value

```YAML
woodpecker_agent_woodpecker_server: localhost:9000
```

## Dependencies

None.

## License

MIT

## Author

[Robert Kaussow](https://gitea.rknet.org/xoxys)
